INPUT: EQU $5CB0

;
; Asigna atributos al tercio de pantalla especificado.
;
; Altera el valor de los registros BC, DE y HL.
;
; Tamaño: 25 bytes
; Ciclos: 120/115
;
ClearAttr:
; Obtiene el tercio a limpiar y los atributos a aplicar
ld   bc, (INPUT)
; Calcula la dirección de los atributos del tercio a limpiar
ld   hl, $5800              ; Apunta HL a los atributos del tercio 1
dec  b
jr   z, clearThird_attr     ; Si el tercio era 1, salta a rellenar los atributos
inc  h                      ; Apunta HL a los atributos del tercio 2
dec  b
jr   z, clearThird_attr     ; Si el tercio era 2, salta a rellenar los atributos
inc  h                      ; Apunta HL a los atributos del tercio 3
clearThird_attr:
ld   d, h
ld   e, l
inc  e                      ; Apunta DE al segundo atributo del tercio
ld   (hl), c                ; Carga los atributos al primer byte
ld   bc, $ff                ; BC = longitud de atributos del tercio - 1
ldir                        ; Rellena los atributos del tercio
ret